Subscribe API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API serves to access real-time call status and agent status for your account, allowing you to subscribe to updates. When a call status or agent status changes, the information is communicated to the CRM.

👍

Domain name

Ensure to include the domain name in the 'Base URL' field located on the right section of the screen.

For In-CcaaS: subscription.ozonetel.com

For US: subscription.ccaas.ozonetel.com

Parameters

To utilize this API, you are required to provide all the following parameters.

BODY PARAMS

Specify the URLs that will receive call events and agent events in the request body.

Subscribe to all events

Provide only the URLs to receive all supported call and agent events.

{
  "callEventsURL": "http://call_test.com",
  "agentEventsURL": "http://agent_test.com"
}

Subscribe to specific events

To receive only selected events, specify the required event names in the callEvents and agentEvents arrays.

{
   "callEventsURL":"http://call_test.com",
   "callEvents":[
      "Calling",
      "Answered",
      "Disconnect"
   ],
   "agentEventsURL":"http://agent_test.com",
   "agentEvents":[
      "login",
      "AUX",
      "release",
      "IDLE",
      "calling",
      "incall",
      "ACW",
      "pause",
      "logout"
   ]
}
📘

Note:

  • callEventsURL and agentEventsURL specify the endpoints where events will be delivered.
  • If callEvents or agentEvents are omitted, the system subscribes to all supported events for the respective category.
  • Event names are case sensitive and must match the supported event values exactly.

HEADERS

ParameterDescription
api_key*Available in CloudAgent admin login
username*CloudAgent account name
Content-Type*Enter "application/json"

Possible Responses

Success responseSubscription added successfully for User: XXXXX
Failure responseUnauthorized

This API provides the following information based on the call type (Manual, Inbound, Progressive) and action (Calling, Answered, Disconnect).

EventDescriptionExample
eventTypeWhether it's a Call or Chat. Please note that the chat feature has not yet been implementedCall (OR) Agent
eventTimeTime of the API hit.2023-12-03 10:35:55
usernameCloudAgent account namedemo_user
actionState of the call whether it's in calling, Answered, or DisconnectCalling
call_typeType of the call (Manual / InBound / Progressive / Preview / Predictive)"Inbound" if it is an inbound call
ucidUnique caller ID90XXX70X57XX55X1
monitor_ucidmonitor ucid for the call90XXX70X57XX55X1
agent_idID of the agent, to whom the call connectedhari
skillName of the skill through which the call was routed.General
caller_idCaller ID81XXX41XX4
didDID through which the call connected91XX7XXX7XX1
agent_numberAgent phone number88XXX5XXX6
event_timeTime of the actual event (calling, Answered, or Disconnect) occurred.2023-12-03 10:35:55
campaign_nameCampaign name to which the call is taggedxxxx

Below is the sample event displayed for an Answered Manual call.

{
  "eventType": "Call",
  "eventTime": "2025-12-08 12:48:01",
  "username": "xxxx",
  "data": {
    "action": "Answered",
    "call_type": "InBound",
    "ucid": "xxxxxxx",
    "monitor_ucid": "xxxxxxx",
    "agent_id": "xxxxxx",
    "skill": "General",
    "caller_id": "xxxxxx",
    "did": "xxxxxx",
    "agent_number": "xxxxx",
    "event_time": "2025-12-08 12:48:01",
    "campaign_name": "xxxx"
  }
}

Below is the sample agent event displayed.

{
  "eventType": "Agent",
  "eventTime": "2025-12-08 12:48:01",
  "username": "xxxxx",
  "data": {
    "action": "pause",
    "agentUniqeId": 267742,
    "agentId": "xxxxx",
    "eventData": "Break",
    "agentMode": "xxxx",
    "miscDetails": "xxxx",
    "eventTime": "2025-12-08 12:48:01"
  }
}

Body Params
Headers
string
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!